﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PV178.Lecture3.Homework
{
    /// <summary>
    /// Interface for Company
    /// </summary>
    interface ICompany
    {
        /// <summary>
        /// Gets the company name.
        /// </summary>
        /// <value>The company name.</value>
        String Name { get; }

        /// <summary>
        /// Gets the collection of employees.
        /// </summary>
        /// <value>The company employees.</value>
        Dictionary<Guid, IEmployee> Employees { get; }

        /// <summary>
        /// Loads the data from text file.
        /// </summary>
        /// <param name="path">The text file path.</param>
        void LoadData(string path);

        /// <summary>
        /// Exports the pay records to the text file.
        /// </summary>
        /// <param name="path">The text file path.</param>
        void ExportPayRecords(string path);
    }
}
