﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace PV178.Lecture3.Homework
{
    /// <summary>
    /// Interface for Employee
    /// </summary>
    interface IEmployee
    {

        /// <summary>
        /// Gets the employee unique ID.
        /// </summary>
        /// <value>The ID.</value>
        Guid ID { get; }


        /// <summary>
        /// Gets the first name.
        /// </summary>
        /// <value>The first name.</value>
        String FirstName { get; }


        /// <summary>
        /// Gets the last name.
        /// </summary>
        /// <value>The last name.</value>
        String LastName { get; }


        /// <summary>
        /// Gets or sets the working time.
        /// </summary>
        /// <value>The working time. First Item is Arrival, second is Going off.</value>
        IWorkingHours WorkingTime { get; set; }


        /// <summary>
        /// Gets or sets the hourly pay.
        /// </summary>
        /// <value>The hourly pay.</value>
        decimal HourlyPay { get; set; }


        /// <summary>
        /// Gets its the attendance.
        /// </summary>
        /// <value>The attendance. Tuple of Arrivals and Goings off.</value>
        List<IWorkingHours> Attendance { get; }
    }
}
